Update integration
curl --request PATCH \
--url https://api.jurichat.com/integration/{integrationId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"flowId": "<string>",
"funnelId": "<string>",
"agentId": "<string>"
}
'import requests
url = "https://api.jurichat.com/integration/{integrationId}"
payload = {
"name": "<string>",
"flowId": "<string>",
"funnelId": "<string>",
"agentId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
flowId: '<string>',
funnelId: '<string>',
agentId: '<string>'
})
};
fetch('https://api.jurichat.com/integration/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"flowId": "<string>",
"funnelId": "<string>",
"agentId": "<string>",
"inboxId": "<string>",
"officeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"config": "<unknown>"
}{
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}Integration
Update integration
Update integration
PATCH
/
integration
/
{integrationId}
Update integration
Path Parameters
Response
Default Response
Pattern:
^[cC][^\s-]{8,}$Available options:
WHATSAPP, WEB_CHAT, TELEGRAM, INSTAGRAM, LITE_WHATSAPP, JURIDIQ Pattern:
^[cC][^\s-]{8,}$Pattern:
^[cC][^\s-]{8,}$⌘I